Subject: [PATCH 3/3] ARM: brcmstb: Setup BIU control registers during boot

From: [email-masked] (Brian Norris)
Date: Mon, 14 Sep 2015 14:29:30 -0700

On Mon, Sep 14, 2015 at 02:21:11PM -0700, Florian Fainelli wrote:
> On 14/09/15 13:48, Brian Norris wrote:
> > On Mon, Sep 14, 2015 at 12:52:49PM -0700, Florian Fainelli wrote:
> >> Call brcmstb_biuctrl_init() in brcmstb's init_irq machine descriptor
> >> callback since we need to setup the Bus Interface Unit before SMP in
> >> particular, but we also need to be able to remap registers.
> >>
> >> Signed-off-by: Florian Fainelli <[email-masked]>
> >> ---
> >> +static void __init brcmstb_init_irq(void)
> >> +{
> >> +	irqchip_init();
> >> +	brcmstb_biuctrl_init();
> > 
> > I believe you're introducing a dependency on CONFIG_SOC_BRCMSTB, but
> > it's not represented in Kconfig. Maybe SOC_BRCMSTB shouldn't be
> > user-selectable, and it should just be select-ed by ARCH_BRCMSTB?
> 
> It is thanks to your previous commit, which is why I mentioned in the
> cover letter that this was based on the 'soc/next' branch.
> 
> https://github.com/Broadcom/stblinux/commit/b19826efa15f94084416d5fc7749c45eabfbee36

Hah, bad memory I have. I suppose a user-selectable option that is also
selected by another symbol is OK if the former has few/no dependencies.

> Thanks for taking a look though!

Brian